ossl_digest.h File Reference

Go to the source code of this file.

## Functions

const EVP_MD * | GetDigestPtr (VALUE)
VALUE | ossl_digest_new (const EVP_MD *)
void | Init_ossl_digest (void)

## Variables

VALUE | cDigest
VALUE | eDigestError

## Function Documentation

const EVP_MD* GetDigestPtr | ( | VALUE |  | ) |

Definition at line 36 of file ossl_digest.c.

References name, NULL, ossl_raise(), rb_eRuntimeError, SafeGetDigest, StringValueCStr, T_STRING, and TYPE.

Referenced by ossl_cipher_pkcs5_keyivgen(), ossl_digest_initialize(), ossl_hmac_initialize(), ossl_hmac_s_digest(), ossl_hmac_s_hexdigest(), ossl_pkcs7si_initialize(), ossl_pkey_sign(), ossl_pkey_verify(), ossl_spki_sign(), ossl_x509_sign(), ossl_x509crl_sign(), and ossl_x509req_sign().

void Init_ossl_digest | ( | void |  | ) |

Definition at line 297 of file ossl_digest.c.

References cDigest, eDigestError, eOSSLError, mOSSL, ossl_digest_alloc(), ossl_digest_block_length(), ossl_digest_copy(), ossl_digest_finish(), ossl_digest_initialize(), ossl_digest_name(), ossl_digest_reset(), ossl_digest_size(), ossl_digest_update(), rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, rb_define_method(), rb_define_module(), rb_define_private_method(), rb_path2class(), and rb_require().

Referenced by Init_openssl().

VALUE ossl_digest_new | ( | const EVP_MD * |  | ) |

Definition at line 64 of file ossl_digest.c.

References cDigest, eDigestError, EVP_DigestInit_ex, GetDigest, NULL, ossl_digest_alloc(), and ossl_raise().

## Variable Documentation

VALUE cDigest

Definition at line 27 of file ossl_digest.c.

Referenced by Init_ossl_digest(), and ossl_digest_new().

VALUE eDigestError

Definition at line 28 of file ossl_digest.c.

Referenced by Init_ossl_digest(), ossl_digest_copy(), ossl_digest_initialize(), ossl_digest_new(), and ossl_digest_reset().